
Foreman - Bug #12071

Changing a compute resource does not refresh detail lines in the NICs table

10/06/2015 09:07 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Tomáš Strachota   

Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2783

  

Description

Selecting a compute resource that has some compute profile with interfaces assigned does not refresh the detail lines. There's a

race condition in loading of the function that generates the lines.

Associated revisions

Revision e7bf0595 - 10/08/2015 10:56 AM - Tomáš Strachota

Fixes #12071 - race condition in loading of providerSpecificNICInfo

Revision fcf4ba17 - 10/14/2015 07:50 AM - Tomáš Strachota

Fixes #12071 - race condition in loading of providerSpecificNICInfo

(cherry picked from commit e7bf059515e5ff7046e0b1ea576e8bff9fc61826)

History

#1 - 10/06/2015 09:11 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2783 added

- Pull request deleted ()

#2 - 10/08/2015 11:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e7bf059515e5ff7046e0b1ea576e8bff9fc61826.

#3 - 10/09/2015 02:56 AM - Dominic Cleal

- translation missing: en.field_release set to 63
